---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgcfinish001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51570, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x534B0, symBinAddr: 0xE270, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x538A0, symBinAddr: 0xE660, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54840, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54850, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _mem, symObjAddr: 0x6BF50, symBinAddr: 0x26D10, symSize: 0x0 }
  - { offsetInCU: 0x7D8, offset: 0x7D8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x510A0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7E3, offset: 0x7E3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x510A4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7EE, offset: 0x7EE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x510A8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x833, offset: 0x833, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51200, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x8AC, offset: 0x8AC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x512B8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8CA, offset: 0x8CA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x512BC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8E3, offset: 0x8E3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x512C0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FC, offset: 0x8FC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x512C4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x915, offset: 0x915, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x512C8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x512D0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x512E0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x512E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x512F0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x512F8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FEC, offset: 0x8FEC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51300, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9006, offset: 0x9006, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51308, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90EC, offset: 0x90EC, size: 0x8, addend: 0x0, symName: __ZL7gcstart, symObjAddr: 0x5134C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x9105, offset: 0x9105, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51350, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9123, offset: 0x9123, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51358, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x913C, offset: 0x913C, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51360, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9155, offset: 0x9155, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51370, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2FA0, symSize: 0x80 }
  - { offsetInCU: 0x923C, offset: 0x923C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2EF0, symSize: 0xB0 }
  - { offsetInCU: 0x9297, offset: 0x9297, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2DF0, symSize: 0x100 }
  - { offsetInCU: 0x952A, offset: 0x952A, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3020, symSize: 0xC0 }
  - { offsetInCU: 0x957C, offset: 0x957C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x30E0, symSize: 0x220 }
  - { offsetInCU: 0x9761, offset: 0x9761, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3300, symSize: 0xA0 }
  - { offsetInCU: 0x9814, offset: 0x9814, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x33A0, symSize: 0x110 }
  - { offsetInCU: 0x990A, offset: 0x990A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x34B0, symSize: 0x150 }
  - { offsetInCU: 0x9A87, offset: 0x9A87, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3600, symSize: 0x30 }
  - { offsetInCU: 0x9B68, offset: 0x9B68, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3630, symSize: 0x150 }
  - { offsetInCU: 0x9D60, offset: 0x9D60, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3780, symSize: 0x160 }
  - { offsetInCU: 0xA020, offset: 0xA020, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x38E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA293, offset: 0xA293, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3D80, symSize: 0x1B0 }
  - { offsetInCU: 0xA4AE, offset: 0xA4AE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3F30, symSize: 0xA0 }
  - { offsetInCU: 0xA5A9, offset: 0xA5A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3FD0, symSize: 0x20 }
  - { offsetInCU: 0xA5E0, offset: 0xA5E0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3FF0, symSize: 0x20 }
  - { offsetInCU: 0xA617, offset: 0xA617, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4010, symSize: 0x20 }
  - { offsetInCU: 0xA786, offset: 0xA786, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4030, symSize: 0x1A0 }
  - { offsetInCU: 0xAAA2, offset: 0xAAA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x41D0, symSize: 0x130 }
  - { offsetInCU: 0xAC52, offset: 0xAC52, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4300, symSize: 0x80 }
  - { offsetInCU: 0xAD1B, offset: 0xAD1B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4380, symSize: 0x6A0 }
  - { offsetInCU: 0xB8B0, offset: 0xB8B0, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA7C0, symBinAddr: 0x5CD0, symSize: 0xB0 }
  - { offsetInCU: 0xB927, offset: 0xB927, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4A20, symSize: 0x70 }
  - { offsetInCU: 0xB9E3, offset: 0xB9E3, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4A90, symSize: 0xA0 }
  - { offsetInCU: 0xBB0E, offset: 0xBB0E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4B30, symSize: 0x40 }
  - { offsetInCU: 0xBC04, offset: 0xBC04, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4B70, symSize: 0x2B0 }
  - { offsetInCU: 0xBFAA, offset: 0xBFAA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4E20, symSize: 0xC0 }
  - { offsetInCU: 0xC0F0, offset: 0xC0F0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4EE0, symSize: 0x10 }
  - { offsetInCU: 0xC1B2, offset: 0xC1B2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4EF0, symSize: 0x220 }
  - { offsetInCU: 0xC4AF, offset: 0xC4AF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5110, symSize: 0x10 }
  - { offsetInCU: 0xC50C, offset: 0xC50C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5120, symSize: 0x3D0 }
  - { offsetInCU: 0xC96C, offset: 0xC96C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FE0, symBinAddr: 0x54F0, symSize: 0x10 }
  - { offsetInCU: 0xCA3A, offset: 0xCA3A, size: 0x8, addend: 0x0, symName: _GarbageCollectionFinish, symObjAddr: 0x9FF0, symBinAddr: 0x5500, symSize: 0x790 }
  - { offsetInCU: 0xD278, offset: 0xD278, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA780, symBinAddr: 0x5C90, symSize: 0x40 }
  - { offsetInCU: 0xD2BA, offset: 0xD2BA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA870, symBinAddr: 0x5D80, symSize: 0x36A }
...
